snd_tplg_widget_template Struct Reference
Topology Interface

Template type for DAPM widget objects. More...

Collaboration diagram for snd_tplg_widget_template:
[legend]

## Data Fields

int | id
const char * | name
const char * | sname
int | reg
int | shift
int | mask
int | subseq
unsigned int | invert
unsigned int | ignore_suspend
unsigned short | event_flags
unsigned short | event_type
struct snd_soc_tplg_private * | priv
int | num_ctls
struct snd_tplg_ctl_template * | ctl [0]

## Detailed Description

Template type for DAPM widget objects.

The documentation for this struct was generated from the following file:

- /build/alsa-lib-X1Eq5S/alsa-lib-1.2.6.1/include/topology.h